/**
 * 
 */
package com.ejie.y42b.model;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *  
 * 
 */
@XmlType(name = "CodesContact", propOrder = { "code", "campo1", "campo2",
		"campo3", "campo4", "campo5", "campo6", "campo7", "campo8", "campo9",
		"campo10" })
@XmlRootElement(name = "CONTACTO")
public class CodesContact {

	private String code;
	private CodesField campo1;
	private CodesField campo2;
	private CodesField campo3;
	private CodesField campo4;
	private CodesField campo5;
	private CodesField campo6;
	private CodesField campo7;
	private CodesField campo8;
	private CodesField campo9;
	private CodesField campo10;

	/**
	 * 
	 * @return code
	 */
	@XmlAttribute(name = "cod")
	public String getCode() {
		return this.code;
	}

	/**
	 * 
	 * @param code String
	 */
	public void setCode(String code) {
		this.code = code;
	}
	/**
	 * 
	 * @return campo1
	 */
	@XmlElement(name = "CAMPO1")
	public CodesField getCampo1() {
		return this.campo1;
	}

	/**
	 * 
	 * @param campo1 CodesField
	 */
	public void setCampo1(CodesField campo1) {
		this.campo1 = campo1;
	}

	/**
	 * 
	 * @return campo2 CodesField
	 */
	@XmlElement(name = "CAMPO2")
	public CodesField getCampo2() {
		return this.campo2;
	}

	/**
	 * 
	 * @param campo2 CodesField
	 */
	public void setCampo2(CodesField campo2) {
		this.campo2 = campo2;
	}

	/**
	 * 
	 * @return campo3 CodesField
	 */
	@XmlElement(name = "CAMPO3")
	public CodesField getCampo3() {
		return this.campo3;
	}

	/**
	 * 
	 * @param campo3 CodesField
	 */
	public void setCampo3(CodesField campo3) {
		this.campo3 = campo3;
	}

	/**
	 * 
	 * @return campo4 CodesField
	 */
	@XmlElement(name = "CAMPO4")
	public CodesField getCampo4() {
		return this.campo4;
	}

	/**
	 * 
	 * @param campo4 CodesField
	 */
	public void setCampo4(CodesField campo4) {
		this.campo4 = campo4;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO5")
	public CodesField getCampo5() {
		return this.campo5;
	}

	/**
	 * 
	 * @param campo5 CodesField
	 */
	public void setCampo5(CodesField campo5) {
		this.campo5 = campo5;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO6")
	public CodesField getCampo6() {
		return this.campo6;
	}

	/**
	 * 
	 * @param campo6 CodesField
	 */
	public void setCampo6(CodesField campo6) {
		this.campo6 = campo6;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO7")
	public CodesField getCampo7() {
		return this.campo7;
	}

	/**
	 * 
	 * @param campo7 CodesField
	 */
	public void setCampo7(CodesField campo7) {
		this.campo7 = campo7;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO8")
	public CodesField getCampo8() {
		return this.campo8;
	}

	/**
	 * 
	 * @param campo8 CodesField
	 */
	public void setCampo8(CodesField campo8) {
		this.campo8 = campo8;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO9")
	public CodesField getCampo9() {
		return this.campo9;
	}

	/**
	 * 
	 * @param campo9 CodesField
	 */
	public void setCampo9(CodesField campo9) {
		this.campo9 = campo9;
	}

	/**
	 * 
	 * @return CodesField
	 */
	@XmlElement(name = "CAMPO10")
	public CodesField getCampo10() {
		return this.campo10;
	}

	/**
	 * 
	 * @param campo10 CodesField
	 */
	public void setCampo10(CodesField campo10) {
		this.campo10 = campo10;
	}
}
